Package org.apache.commons.lang

# Class UnhandledException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.lang.exception.NestableRuntimeException
org.apache.commons.lang.UnhandledException

All Implemented Interfaces:
  `Serializable`, `Nestable`

public class UnhandledException extends NestableRuntimeException

Thrown when it is impossible or undesirable to consume or throw a checked exception.

This exception supplements the standard exception classes by providing a more semantically rich description of the problem.

`UnhandledException` represents the case where a method has to deal with a checked exception but does not wish to. Instead, the checked exception is rethrown in this unchecked wrapper.

     public void foo() {
       try {
         // do something that throws IOException
       } catch (IOException ex) {
         // don't want to or can't throw IOException from foo()
         throw new UnhandledException(ex);
       }
     }

Since:
  2.0
Version:
  $Id: UnhandledException.java 437554 2006-08-28 06:21:41Z bayard $
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.commons.lang.exception.NestableRuntimeException

`delegate`

## Constructor Summary

Constructors
Constructor
Description
`UnhandledException(String message, Throwable cause)`
Constructs the exception using a message and cause.
`UnhandledException(Throwable cause)`
Constructs the exception using a cause.

## Method Summary

### Methods inherited from class org.apache.commons.lang.exception.NestableRuntimeException

`getCause, getMessage, getMessage, getMessages, getThrowable, getThrowableCount, getThrowables, indexOfThrowable, indexOfThrowable, printPartialStackTrace, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnhandledException

public UnhandledException(Throwable cause)
Constructs the exception using a cause.

Parameters:
  `cause` - the underlying cause

### UnhandledException

public UnhandledException(String message, Throwable cause)
Constructs the exception using a message and cause.

Parameters:
  `message` - the message to use
  `cause` - the underlying cause